%define oname   gettext

Name:       ruby-%{oname}
Version:    2.3.3
Release:    %mkrel 8
Summary:    A library and tools to localize messages
Group:      Development/Ruby
License:    GPLv2
URL:        http://gettext.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Ruby-GetText-Package is a GNU GetText-like program for Ruby.
The catalog file(po-file) is same format with GNU GetText.
So you can use GNU GetText tools for maintaining.

%files
%{_bindir}/rmsgmerge
%{_bindir}/rmsgfmt
%{_bindir}/rmsginit
%{_bindir}/rxgettext
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#fix shebang
find %{buildroot}%{gem_instdir}/lib -name "*.rb" \
  -exec sed -i '/^#!/d' {} \;


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 2.3.3-8.mga4
+ Revision: 561910
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 2.3.3-7.mga4
+ Revision: 561242
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.3.3-6.mga4
+ Revision: 535426
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 2.3.3-5.mga4
+ Revision: 482034
- Rebuild for Ruby 2

* Sun Sep 08 2013 pterjan <pterjan> 2.3.3-4.mga4
+ Revision: 476432
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 2.3.3-3.mga3
+ Revision: 395996
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.3-2.mga3
+ Revision: 380919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 2.3.3-1.mga3
+ Revision: 313026
- update file list
- drop unused sections
- new version 2.3.3

* Thu Feb 10 2011 shikamaru <shikamaru> 2.1.0-1.mga1
+ Revision: 49904
- imported package ruby-gettext


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.1.0-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 2.1.0

* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-4mdv2010.0
+ Revision: 433514
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-3mdv2009.0
+ Revision: 269234
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1.10.0-2mdv2009.0
+ Revision: 214497
- rebuild for the i586-linux-gnu to i586-linux move

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 18 2007 Funda Wang <fundawang@mandriva.org> 1.10.0-1mdv2008.1
+ Revision: 109956
- New version 1.10.0

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.7.0-2mdv2008.0
+ Revision: 16900
- Use Development/Ruby group
- Use std macros


* Thu Aug 24 2006 Pascal Terjan <pterjan@mandriva.org> 1.7.0-1mdv2007.0
- New release 1.7.0

* Tue Jul 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.6.0-1mdv2007.0
- 1.6.0

* Sat Mar 11 2006 Pascal Terjan <pterjan@mandriva.org> 1.3.0-1mdk
- 1.3.0
- mkrel

* Sun Jan 15 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.1-1mdk
- 1.1.1

* Thu Dec 29 2005 Pascal Terjan <pterjan@mandriva.org> 1.1.0-1mdk
- 1.1.0

* Sat Sep 03 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-1mdk
- 1.0.0

* Sun May 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.9.0-1mdk
- 0.9.0

* Wed Mar 30 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-2mdk
- lib64 fix

* Tue Mar 29 2005 Pascal Terjan <pterjan@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Thu Nov 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.8.0-1mdk
- 0.8.0

* Mon Jul 26 2004 Pascal Terjan <pterjan@mandrake.org> 0.6.1-1mdk
- 0.6.1

* Thu Jul 08 2004 Pascal Terjan <pterjan@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Fri Apr 23 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.5-1mdk
- 0.5.5

* Thu Jan 01 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.3-2mdk
- own %%{_libdir}/ruby/*/*/*/gettext/

* Thu Dec 25 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.3-1mdk 
- first mdk release

